Package com.ads.mm.db.dao

# Class DBTable

java.lang.Object
com.ads.mm.db.dao.DBComponent
com.ads.mm.db.dao.DBTable

public class DBTable extends DBComponent
This class consists of methods relating to DBTable Object such as TableType, EntityBaseType, schemaName, tableDefinitionComments
tableDefinition, tableComments, logicalTableName, Audit History, userDefinedFields etc..

Author:
  AnalytiX DS

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `DBTable.EntityBaseType`
  These constants are used to specify ENTITY, ENTITY_ROOT, ENTITY_ELEMENT, ENTITY_ATTRIBUTE.
  `static enum`
  `DBTable.TableType`
  These Constants are used to specify the TableType as Table, View, Synonym or Component.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTable()`
  `DBTable(String tabName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DBTable`
  `addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)`
  It will not add association to this object as it is being used internally.
  `void`
  `addColumn(DBColumn column)`
  Adds the column as specified.
  `void`
  `addColumn(String name, DBColumn column)`
  Adds the column specified with the details given as DBColumn.
  `void`
  `addColumnByReferenceId(DBColumn column)`
  Adds the Column as specified.
  `DBTable`
  `addExtendedProperty(KeyValue systemKeyValuesVo)`
  `DBTable`
  `addTag(Tag tagvo)`
  `void`
  `copyColumns(DBTable table)`
  Copies the columns as of like the columns as specified.
  `boolean`
  `equals(Object obj)`
  Method used to compare for equality and returns value as true or false.
  `boolean`
  `equals_old(Object obj)`
  Method used to compare for equality and returns value as true or false.
  `String`
  `getActualTableName()`
  Returns the actualTableName.
  `String`
  `getAssociatedBusinessTerm()`
  `int`
  `getAssociatedBusinessTermId()`
  `List<com.ads.association.export.model.ExportedAssociation>`
  `getAssociationsList()`
  It will not return any associations particular to this object as it is being used internally.
  `String`
  `getBusinessEntityType()`
  `DBColumn`
  `getColumn(String name)`
  Returns DBColumn Object for the specified name of the column.
  `List<DBIndex>`
  `getColumnIndexes()`
  `Map<String,DBColumn>`
  `getColumnMap()`
  Returns the columnMap i.e it returns all the details pertaining to the column.
  `String`
  `getCreatedBy()`
  Returns the createdBy.
  `Calendar`
  `getCreatedDateTime()`
  Returns the createdDateTime.
  `int`
  `getDataProfileScoreId()`
  `float`
  `getDataQualityScore()`
  `DBEnvironment.DBOperation`
  `getDBOperation()`
  Returns the dbOperation.
  `DBOperationHelper`
  `getDbOperationHelper()`
  Returns the dbOperationHelper.
  `DBOperationHelper`
  `getDBOperationHelper()`
  Returns the dbOperationHelper Object
  `String`
  `getDeclarationPath()`
  `String`
  `getDqToolProfileId()`
  `DBEnvironment`
  `getEnvironment()`
  Returns the environment as specified.
  `String`
  `getExistence()`
  Returns the existence value.
  `String`
  `getExpandedLogicalName()`
  `List<KeyValue>`
  `getExtendedProperties()`
  `String`
  `getFileLocation()`
  Returns the fileLocation.
  `String`
  `getFileType()`
  Returns the fileType.
  `String`
  `getLastModifiedBy()`
  Returns the lastModifiedBy.
  `Calendar`
  `getLastModifiedDateTime()`
  Returns the lastModifiedDateTime.
  `String`
  `getLogicalTableName()`
  Returns the logicalTableName.
  `String`
  `getMetadataSource()`
  `DBTable`
  `getParentTable()`
  `String`
  `getPhysicalTableName()`
  `DBColumn`
  `getReferenceColumn()`
  `String`
  `getReferenceId()`
  Returns the referenceId.
  `int`
  `getSceid()`
  Returns the sceId.
  `String`
  `getSchemaName()`
  Returns the schemaName.
  `int`
  `getSdiClassificationId()`
  `List<SDIClassification>`
  `getSdiClassifications()`
  `String`
  `getSdiDescription()`
  `int`
  `getSTMId()`
  Returns the stmId i.e tableId.
  `String`
  `getTableAlias()`
  Returns the tableAlias.
  `String`
  `getTableClass()`
  Returns the tableClass.
  `String`
  `getTableComments()`
  Returns the tableComments.
  `String`
  `getTableDefinition()`
  Returns the tableDefinition.
  `String`
  `getTableDefinitionComments()`
  Returns the tableDefinitionComments.
  `String`
  `getTableName()`
  Returns the tableName,
  `String`
  `getTableNameWithoutSchema()`
  Returns the tableName without Schema.
  `DBTable.TableType`
  `getTableType()`
  Returns the tableType.
  `List<Tag>`
  `getTags()`
  `int`
  `getTotalRowsCount()`
  `String`
  `getUsedInGapAnalysis()`
  Returns the usedInGapAnalysis.
  `Object`
  `getUserData()`
  Returns the userData as specified.
  `String`
  `getUserDefined1()`
  Returns the userDefined1 field.
  `String`
  `getUserDefined10()`
  Returns the userDefined10 Field.
  `String`
  `getUserDefined2()`
  Returns the userDefined2 field.
  `String`
  `getUserDefined3()`
  Returns the userDefined3 field.
  `String`
  `getUserDefined4()`
  Returns the userDefined4 field.
  `String`
  `getUserDefined5()`
  Returns the userDefined5 field.
  `String`
  `getUserDefined6()`
  Returns the userDefined6 Field.
  `String`
  `getUserDefined7()`
  Returns the userDefined7 Field.
  `String`
  `getUserDefined8()`
  Returns the userDefined8 Field.
  `String`
  `getUserDefined9()`
  Returns the userDefined9 Field.
  `int`
  `hashCode()`
  hashCode is used to generate an integer code corresponding to the object.
  `boolean`
  `hasOnly(DBTable.EntityBaseType baseType)`
  Returns true if specified baseType is equal to the entityBaseType otherwise false.
  `boolean`
  `isElnExpanded()`
  `boolean`
  `isRootTable()`
  Returns the value of rootTable i.e returns true if it the root otherwise returns false.
  `boolean`
  `isSdiFlag()`
  `boolean`
  `isValid()`
  Returns the valid value.
  `boolean`
  `isValidateTransName()`
  `static String`
  `parseSchemaName(String tableName)`
  parses the specified tableName and returns the schema name.
  `void`
  `setActualTableName(String actualTableName)`
  Sets the actualTableName as specified.
  `void`
  `setAssociatedBusinessTerm(String associatedBusinessTerm)`
  `void`
  `setAssociatedBusinessTermId(int associatedBusinessTermId)`
  `DBTable`
  `setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)`
  It will not set any associations particular to this object as it is being used internally.
  `void`
  `setBusinessEntityType(String businessEntityType)`
  `DBTable`
  `setColumnIndexes(List<DBIndex> columnIndexes)`
  `void`
  `setColumnMap(Map<String,DBColumn> columnMap)`
  Sets the columnMap as specified.
  `void`
  `setCreatedBy(String createdBy)`
  Sets the createdBy as specified.
  `void`
  `setCreatedDateTime(Calendar createdDateTime)`
  Sets the createdDateTime as specified.
  `void`
  `setDataProfileScoreId(int dataProfileScoreId)`
  `void`
  `setDataQualityScore(float dataQualityScore)`
  `void`
  `setDBOperation(DBEnvironment.DBOperation dbOperation)`
  Sets the dbOperation as specified.
  `void`
  `setDbOperationHelper(DBOperationHelper dbOperationHelper)`
  Sets the dbOperationHelper as specified.
  `void`
  `setDBOperationHelper(DBOperationHelper dbOperationStatus)`
  Sets the dbOperationHelper as specified.
  `void`
  `setDeclarationPath(String declarationPath)`
  `void`
  `setDqToolProfileId(String dqToolProfileId)`
  `void`
  `setElnExpanded(boolean elnExpanded)`
  `void`
  `setEnvironment(DBEnvironment environment)`
  Sets the environment as specified.
  `void`
  `setExistence(String existence)`
  Sets the existence as specified.
  `void`
  `setExpandedLogicalName(String expandedLogicalName)`
  `DBTable`
  `setExtendedProperties(List<KeyValue> extendedProperties)`
  `void`
  `setFileLocation(String fileLocation)`
  Sets the fileLocation as specified.
  `void`
  `setFileType(String fileType)`
  Sets the fileType as specified.
  `void`
  `setLastModifiedBy(String lastModifiedBy)`
  Sets the lastModifiedBy as specified.
  `void`
  `setLastModifiedDateTime(Calendar lastModifiedDateTime)`
  Sets the lastModifiedDateTime as specified.
  `void`
  `setLogicalTableName(String logicalTableName)`
  Sets the logicalTableName as specified.
  `void`
  `setMetadataSource(String metadataSource)`
  `void`
  `setParentTable(DBTable _parentTable)`
  Sets the parentTable as specified.
  `void`
  `setPhysicalTableName(String physicalTableName)`
  `void`
  `setReferenceColumn(DBColumn referenceColumn)`
  `void`
  `setReferenceId(String referenceId)`
  Sets the referenceId as specified.
  `void`
  `setRootTable(boolean rootTable)`
  Sets the rootTable as specified.
  `void`
  `setSceid(int sceid)`
  Sets the sceid as specified.
  `void`
  `setSchemaName(String schemaName)`
  Sets the schemaName as specified.
  `void`
  `setSdiClassificationId(int sdiClassificationId)`
  `void`
  `setSdiClassifications(List<SDIClassification> sdiClassifications)`
  `void`
  `setSdiDescription(String sdiDescription)`
  `void`
  `setSdiFlag(boolean sdiFlag)`
  `void`
  `setSTMId(int stmId)`
  Sets the stmId as specified.
  `void`
  `setTableAlias(String tableAlias)`
  Sets the tableAlias as specified.
  `void`
  `setTableClass(String tableClass)`
  Sets the tableClass as specified.
  `void`
  `setTableComments(String tableComments)`
  Sets the tableComments as specified.
  `void`
  `setTableDefinition(String tableDefinition)`
  Sets the tableDefinition as specified.
  `void`
  `setTableDefinitionComments(String tableDefinitionComments)`
  Sets the tableDefinitionComments as specified.
  `void`
  `setTableName(String tableName)`
  Sets the tableName as specified.
  `void`
  `setTableType(DBTable.TableType tableType)`
  Sets the tableType as specified.
  `void`
  `setTags(List<Tag> tags)`
  `void`
  `setTotalRowsCount(int totalRowsCount)`
  `void`
  `setUsedInGapAnalysis(String usedInGapAnalysis)`
  Sets the usedInGapAnalysis as specified.
  `void`
  `setUserData(Object userData)`
  Sets the userData as specified.
  `void`
  `setUserDefined1(String userDefined1)`
  Sets the userDefined1 as specified.
  `void`
  `setUserDefined10(String userDefined10)`
  Sets the userDefined10 as specified.
  `void`
  `setUserDefined2(String userDefined2)`
  Sets the userDefined2 as specified.
  `void`
  `setUserDefined3(String userDefined3)`
  Sets the userDefined3 as specified.
  `void`
  `setUserDefined4(String userDefined4)`
  Sets the userDefined4 as specified.
  `void`
  `setUserDefined5(String userDefined5)`
  Sets the userDefined5 as specified.
  `void`
  `setUserDefined6(String userDefined6)`
  Sets the userDefined6 as specified.
  `void`
  `setUserDefined7(String userDefined7)`
  Sets the userDefined7 as specified.
  `void`
  `setUserDefined8(String userDefined8)`
  Sets the userDefined8 as specified.
  `void`
  `setUserDefined9(String userDefined9)`
  Sets the userDefined9 as specified.
  `void`
  `setValid(boolean valid)`
  Sets the valid as specified.
  `void`
  `setValidateTransName(boolean validateTransName)`
  `String`
  `toString()`
  Returns the string representation.
  `boolean`
  `validate()`
  `boolean`
  `validateMandatoryFields()`

  ### Methods inherited from class com.ads.mm.db.dao.DBComponent

  `getDataStewardName, isMarked, setDataStewardName, setMarked`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DBTable

    public DBTable()

  - ### DBTable

    public DBTable(String tabName)

- ## Method Details

  - ### getParentTable

    public DBTable getParentTable()

  - ### setParentTable

    public void setParentTable(DBTable _parentTable)
    Sets the parentTable as specified.
    Parameters:
      `_parentTable` - DBTable

  - ### isValidateTransName

    public boolean isValidateTransName()

  - ### setValidateTransName

    public void setValidateTransName(boolean validateTransName)

  - ### getSceid

    public int getSceid()
    Returns the sceId.
    Returns:
      sceid - int

  - ### setSceid

    public void setSceid(int sceid)
    Sets the sceid as specified.
    Parameters:
      `sceid` - int

  - ### getEnvironment

    public DBEnvironment getEnvironment()
    Returns the environment as specified.
    Returns:
      environment DBEnvironment

  - ### setEnvironment

    public void setEnvironment(DBEnvironment environment)
    Sets the environment as specified.
    Parameters:
      `environment` - DBEnvironment

  - ### getSchemaName

    public String getSchemaName()
    Returns the schemaName.
    Returns:
      schemaName - String

  - ### setSchemaName

    public void setSchemaName(String schemaName)
    Sets the schemaName as specified.
    Parameters:
      `schemaName` - String

  - ### getTableName

    public String getTableName()
    Returns the tableName,
    Returns:
      tableName - String

  - ### getTableNameWithoutSchema

    public String getTableNameWithoutSchema()
    Returns the tableName without Schema.
    Returns:
      tableName - String

  - ### setTableName

    public void setTableName(String tableName)
    Sets the tableName as specified.
    Parameters:
      `tableName` - String

  - ### getTableDefinitionComments

    public String getTableDefinitionComments()
    Returns the tableDefinitionComments.
    Returns:
      tableDefinitionComments - String

  - ### setTableDefinitionComments

    public void setTableDefinitionComments(String tableDefinitionComments)
    Sets the tableDefinitionComments as specified.
    Parameters:
      `tableDefinitionComments` - String

  - ### getTableDefinition

    public String getTableDefinition()
    Returns the tableDefinition.
    Returns:
      tableDefinition - String

  - ### setTableDefinition

    public void setTableDefinition(String tableDefinition)
    Sets the tableDefinition as specified.
    Parameters:
      `tableDefinition` - String

  - ### getTableComments

    public String getTableComments()
    Returns the tableComments.
    Returns:
      tableComments - String

  - ### setTableComments

    public void setTableComments(String tableComments)
    Sets the tableComments as specified.
    Parameters:
      `tableComments` - String

  - ### getCreatedBy

    public String getCreatedBy()
    Returns the createdBy.
    Returns:
      createdBy - String

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets the createdBy as specified.
    Parameters:
      `createdBy` - String

  - ### getCreatedDateTime

    public Calendar getCreatedDateTime()
    Returns the createdDateTime.
    Returns:
      createdDateTime - Calendar

  - ### setCreatedDateTime

    public void setCreatedDateTime(Calendar createdDateTime)
    Sets the createdDateTime as specified.
    Parameters:
      `createdDateTime` - Calendar

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Returns the lastModifiedBy.
    Returns:
      lastModifiedBy - String

  - ### setLastModifiedBy

    public void setLastModifiedBy(String lastModifiedBy)
    Sets the lastModifiedBy as specified.
    Parameters:
      `lastModifiedBy` - String

  - ### getLastModifiedDateTime

    public Calendar getLastModifiedDateTime()
    Returns the lastModifiedDateTime.
    Returns:
      lastModifiedDateTime - Calendar

  - ### setLastModifiedDateTime

    public void setLastModifiedDateTime(Calendar lastModifiedDateTime)
    Sets the lastModifiedDateTime as specified.
    Parameters:
      `lastModifiedDateTime` - Calendar

  - ### getTableType

    public DBTable.TableType getTableType()
    Returns the tableType.
    Returns:
      tableType TableType

  - ### setTableType

    public void setTableType(DBTable.TableType tableType)
    Sets the tableType as specified.
    Parameters:
      `tableType` - TableType

  - ### getLogicalTableName

    public String getLogicalTableName()
    Returns the logicalTableName.
    Returns:
      logicalTableName String

  - ### setLogicalTableName

    public void setLogicalTableName(String logicalTableName)
    Sets the logicalTableName as specified.
    Parameters:
      `logicalTableName` - String

  - ### isValid

    public boolean isValid()
    Returns the valid value.
    Returns:
      valid - boolean

  - ### setValid

    public void setValid(boolean valid)
    Sets the valid as specified.
    Parameters:
      `valid` - boolean

  - ### getActualTableName

    public String getActualTableName()
    Returns the actualTableName.
    Returns:
      actualTableName - String

  - ### setActualTableName

    public void setActualTableName(String actualTableName)
    Sets the actualTableName as specified.
    Parameters:
      `actualTableName` - String

  - ### getColumnMap

    public Map<String,DBColumn> getColumnMap()
    Returns the columnMap i.e it returns all the details pertaining to the column.
    Returns:
      columnMap - Map

  - ### setColumnMap

    public void setColumnMap(Map<String,DBColumn> columnMap)
    Sets the columnMap as specified.
    Parameters:
      `columnMap` - Map

  - ### getColumn

    public DBColumn getColumn(String name)
    Returns DBColumn Object for the specified name of the column.
    Parameters:
      `name` - String
    Returns:
      DBColumn Object

  - ### addColumn

    public void addColumn(String name, DBColumn column)
    Adds the column specified with the details given as DBColumn.
    Parameters:
      `name` - String
      `column` - String

  - ### addColumn

    public void addColumn(DBColumn column)
    Adds the column as specified.
    Parameters:
      `column` - String

  - ### addColumnByReferenceId

    public void addColumnByReferenceId(DBColumn column)
    Adds the Column as specified.
    Parameters:
      `column` - String

  - ### getReferenceId

    public String getReferenceId()
    Returns the referenceId.
    Returns:
      referenceId - String

  - ### setReferenceId

    public void setReferenceId(String referenceId)
    Sets the referenceId as specified.
    Parameters:
      `referenceId` - String

  - ### getDBOperationHelper

    public DBOperationHelper getDBOperationHelper()
    Returns the dbOperationHelper Object
    Returns:
      dbOperationStatus - DBOperationHelper

  - ### setDBOperationHelper

    public void setDBOperationHelper(DBOperationHelper dbOperationStatus)
    Sets the dbOperationHelper as specified.
    Parameters:
      `dbOperationStatus` - DBOperationHelper

  - ### getUserData

    public Object getUserData()
    Returns the userData as specified.
    Returns:
      userData - Object

  - ### setUserData

    public void setUserData(Object userData)
    Sets the userData as specified.
    Parameters:
      `userData` - Object

  - ### getUserDefined1

    public String getUserDefined1()
    Returns the userDefined1 field.
    Returns:
      userDefined1 - String

  - ### setUserDefined1

    public void setUserDefined1(String userDefined1)
    Sets the userDefined1 as specified.
    Parameters:
      `userDefined1` - String

  - ### getUserDefined2

    public String getUserDefined2()
    Returns the userDefined2 field.
    Returns:
      userDefined2 - String

  - ### setUserDefined2

    public void setUserDefined2(String userDefined2)
    Sets the userDefined2 as specified.
    Parameters:
      `userDefined2` - String

  - ### getUserDefined3

    public String getUserDefined3()
    Returns the userDefined3 field.
    Returns:
      userDefined3 - String

  - ### setUserDefined3

    public void setUserDefined3(String userDefined3)
    Sets the userDefined3 as specified.
    Parameters:
      `userDefined3` - String

  - ### getUserDefined4

    public String getUserDefined4()
    Returns the userDefined4 field.
    Returns:
      userDefined4 - String

  - ### setUserDefined4

    public void setUserDefined4(String userDefined4)
    Sets the userDefined4 as specified.
    Parameters:
      `userDefined4` - String

  - ### getUserDefined5

    public String getUserDefined5()
    Returns the userDefined5 field.
    Returns:
      userDefined5 - String

  - ### setUserDefined5

    public void setUserDefined5(String userDefined5)
    Sets the userDefined5 as specified.
    Parameters:
      `userDefined5` - String

  - ### getUsedInGapAnalysis

    public String getUsedInGapAnalysis()
    Returns the usedInGapAnalysis.
    Returns:
      usedInGapAnalysis - String

  - ### getFileType

    public String getFileType()
    Returns the fileType.
    Returns:
      fileType - String

  - ### setFileType

    public void setFileType(String fileType)
    Sets the fileType as specified.
    Parameters:
      `fileType` - String

  - ### getFileLocation

    public String getFileLocation()
    Returns the fileLocation.
    Returns:
      fileLocation - String

  - ### setFileLocation

    public void setFileLocation(String fileLocation)
    Sets the fileLocation as specified.
    Parameters:
      `fileLocation` - String

  - ### getTotalRowsCount

    public int getTotalRowsCount()

  - ### setTotalRowsCount

    public void setTotalRowsCount(int totalRowsCount)

  - ### setUsedInGapAnalysis

    public void setUsedInGapAnalysis(String usedInGapAnalysis)
    Sets the usedInGapAnalysis as specified.
    Parameters:
      `usedInGapAnalysis` - String

  - ### copyColumns

    public void copyColumns(DBTable table) throws CloneNotSupportedException
    Copies the columns as of like the columns as specified.
    Parameters:
      `table` - - DBTable
    Throws:
      `CloneNotSupportedException`

  - ### setDbOperationHelper

    public void setDbOperationHelper(DBOperationHelper dbOperationHelper)
    Sets the dbOperationHelper as specified.
    Parameters:
      `dbOperationHelper` - DBOperationHelper

  - ### setUserDefined10

    public void setUserDefined10(String userDefined10)
    Sets the userDefined10 as specified.
    Parameters:
      `userDefined10` - String

  - ### setUserDefined6

    public void setUserDefined6(String userDefined6)
    Sets the userDefined6 as specified.
    Parameters:
      `userDefined6` - String

  - ### setUserDefined7

    public void setUserDefined7(String userDefined7)
    Sets the userDefined7 as specified.
    Parameters:
      `userDefined7` - String

  - ### setUserDefined8

    public void setUserDefined8(String userDefined8)
    Sets the userDefined8 as specified.
    Parameters:
      `userDefined8` - String

  - ### setUserDefined9

    public void setUserDefined9(String userDefined9)
    Sets the userDefined9 as specified.
    Parameters:
      `userDefined9` - String

  - ### getDbOperationHelper

    public DBOperationHelper getDbOperationHelper()
    Returns the dbOperationHelper.
    Returns:
      dbOperationHelper - DBOperationHelper

  - ### getUserDefined10

    public String getUserDefined10()
    Returns the userDefined10 Field.
    Returns:
      userDefined10 - String

  - ### getUserDefined6

    public String getUserDefined6()
    Returns the userDefined6 Field.
    Returns:
      userDefined6 - String

  - ### getUserDefined7

    public String getUserDefined7()
    Returns the userDefined7 Field.
    Returns:
      userDefined7 - String

  - ### getUserDefined8

    public String getUserDefined8()
    Returns the userDefined8 Field.
    Returns:
      userDefined8 - String

  - ### getUserDefined9

    public String getUserDefined9()
    Returns the userDefined9 Field.
    Returns:
      userDefined9 - String

  - ### getTableAlias

    public String getTableAlias()
    Returns the tableAlias.
    Returns:
      tableAlias - String

  - ### setTableAlias

    public void setTableAlias(String tableAlias)
    Sets the tableAlias as specified.
    Parameters:
      `tableAlias` - String

  - ### getTableClass

    public String getTableClass()
    Returns the tableClass.
    Returns:
      tableClass - String

  - ### setTableClass

    public void setTableClass(String tableClass)
    Sets the tableClass as specified.
    Parameters:
      `tableClass` - String

  - ### isSdiFlag

    public boolean isSdiFlag()
    Returns:
      the sdiFlag

  - ### setSdiFlag

    public void setSdiFlag(boolean sdiFlag)
    Parameters:
      `sdiFlag` - the sdiFlag to set

  - ### getSdiDescription

    public String getSdiDescription()
    Returns:
      the sdiDescription

  - ### setSdiDescription

    public void setSdiDescription(String sdiDescription)
    Parameters:
      `sdiDescription` - the sdiDescription to set

  - ### getSdiClassificationId

    public int getSdiClassificationId()
    Returns:
      the sdiClassificationId

  - ### setSdiClassificationId

    public void setSdiClassificationId(int sdiClassificationId)
    Parameters:
      `sdiClassificationId` - the sdiClassificationId to set

  - ### getExistence

    public String getExistence()
    Returns the existence value.
    Returns:
      existence - String

  - ### setExistence

    public void setExistence(String existence)
    Sets the existence as specified.
    Parameters:
      `existence` - String

  - ### getDBOperation

    public DBEnvironment.DBOperation getDBOperation()
    Returns the dbOperation. dbOperation can be UPDATE, INSERT, VALIDATE, INVALIDATE or SKIP.
    Returns:
      dbOperation - DBOperation

  - ### setDBOperation

    public void setDBOperation(DBEnvironment.DBOperation dbOperation)
    Sets the dbOperation as specified.
    Parameters:
      `dbOperation` - DBOperation

  - ### getSTMId

    public int getSTMId()
    Returns the stmId i.e tableId.
    Returns:
      stmId - int

  - ### setSTMId

    public void setSTMId(int stmId)
    Sets the stmId as specified.
    Parameters:
      `stmId` - int

  - ### parseSchemaName

    public static String parseSchemaName(String tableName)
    parses the specified tableName and returns the schema name.
    Parameters:
      `tableName` - String
    Returns:
      schemaName - String

  - ### toString

    public String toString()
    Returns the string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      String

  - ### equals

    public boolean equals(Object obj)
    Method used to compare for equality and returns value as true or false.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - Object
    Returns:
      boolean - True or False.

  - ### equals_old

    public boolean equals_old(Object obj)
    Method used to compare for equality and returns value as true or false.
    Parameters:
      `obj` - Object
    Returns:
      boolean - True or False.

  - ### hashCode

    public int hashCode()
    hashCode is used to generate an integer code corresponding to the object.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      integer as 0, 1 depending on the hashCodes.

  - ### isRootTable

    public boolean isRootTable()
    Returns the value of rootTable i.e returns true if it the root otherwise returns false.
    Returns:
      rootTable - boolean

  - ### setRootTable

    public void setRootTable(boolean rootTable)
    Sets the rootTable as specified.
    Parameters:
      `rootTable` - boolean

  - ### hasOnly

    public boolean hasOnly(DBTable.EntityBaseType baseType)
    Returns true if specified baseType is equal to the entityBaseType otherwise false.
    Parameters:
      `baseType` - DBTable Object
    Returns:
      - boolean

  - ### getMetadataSource

    public String getMetadataSource()
    Returns:

  - ### setMetadataSource

    public void setMetadataSource(String metadataSource)
    Parameters:
      `metadataSource` -

  - ### getExtendedProperties

    public List<KeyValue> getExtendedProperties()

  - ### setExtendedProperties

    public DBTable setExtendedProperties(List<KeyValue> extendedProperties)

  - ### addExtendedProperty

    public DBTable addExtendedProperty(KeyValue systemKeyValuesVo)

  - ### getTags

    public List<Tag> getTags()

  - ### setTags

    public void setTags(List<Tag> tags)

  - ### addTag

    public DBTable addTag(Tag tagvo)

  - ### getAssociationsList

    public List<com.ads.association.export.model.ExportedAssociation> getAssociationsList()
    It will not return any associations particular to this object as it is being used internally. Please use Associations api to fetch the associations.
    Returns:
      list of associations

  - ### setAssociationsList

    public DBTable setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)
    It will not set any associations particular to this object as it is being used internally.
    Parameters:
      `associations` -
    Returns:

  - ### addAssociationsList

    public DBTable addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)
    It will not add association to this object as it is being used internally.
    Parameters:
      `associations` -
    Returns:

  - ### getDqToolProfileId

    public String getDqToolProfileId()

  - ### setDqToolProfileId

    public void setDqToolProfileId(String dqToolProfileId)

  - ### getDataQualityScore

    public float getDataQualityScore()

  - ### setDataQualityScore

    public void setDataQualityScore(float dataQualityScore)

  - ### getColumnIndexes

    public List<DBIndex> getColumnIndexes()
    Returns:

  - ### setColumnIndexes

    public DBTable setColumnIndexes(List<DBIndex> columnIndexes)

  - ### getExpandedLogicalName

    public String getExpandedLogicalName()
    Returns:

  - ### setExpandedLogicalName

    public void setExpandedLogicalName(String expandedLogicalName)
    Parameters:
      `expandedLogicalName` -

  - ### getAssociatedBusinessTerm

    public String getAssociatedBusinessTerm()
    Returns:

  - ### setAssociatedBusinessTerm

    public void setAssociatedBusinessTerm(String associatedBusinessTerm)
    Parameters:
      `associatedBusinessTerm` -

  - ### getAssociatedBusinessTermId

    public int getAssociatedBusinessTermId()
    Returns:

  - ### setAssociatedBusinessTermId

    public void setAssociatedBusinessTermId(int associatedBusinessTermId)
    Parameters:
      `associatedBusinessTermId` -

  - ### isElnExpanded

    public boolean isElnExpanded()
    Returns:

  - ### setElnExpanded

    public void setElnExpanded(boolean elnExpanded)
    Parameters:
      `elnExpanded` -

  - ### getDeclarationPath

    public String getDeclarationPath()
    Returns:
      the declarationPath

  - ### setDeclarationPath

    public void setDeclarationPath(String declarationPath)
    Parameters:
      `declarationPath` - the declarationPath to set

  - ### getBusinessEntityType

    public String getBusinessEntityType()

  - ### setBusinessEntityType

    public void setBusinessEntityType(String businessEntityType)

  - ### getDataProfileScoreId

    public int getDataProfileScoreId()
    Returns:
      dataProfileScoreId

  - ### setDataProfileScoreId

    public void setDataProfileScoreId(int dataProfileScoreId)
    Parameters:
      `dataProfileScoreId` - the dataProfileScoreId to set

  - ### getPhysicalTableName

    public String getPhysicalTableName()
    Returns:
      the physicalTableName

  - ### setPhysicalTableName

    public void setPhysicalTableName(String physicalTableName)
    Parameters:
      `physicalTableName` - the physicalTableName to set

  - ### getSdiClassifications

    public List<SDIClassification> getSdiClassifications()

  - ### setSdiClassifications

    public void setSdiClassifications(List<SDIClassification> sdiClassifications)

  - ### validate

    public boolean validate()

  - ### validateMandatoryFields

    public boolean validateMandatoryFields()

  - ### getReferenceColumn

    public DBColumn getReferenceColumn()
    Returns:
      the referenceColumn

  - ### setReferenceColumn

    public void setReferenceColumn(DBColumn referenceColumn)
    Parameters:
      `referenceColumn` - the referenceColumn to set